<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="no" encoding="UTF-8"/>
	<xsl:template match="/character">
		<body bgcolor="white"/>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="30%"/>
				<td width="70%"/>
			</tr>
			<tr>
				<td colspan="1" valign="top">
					<xsl:call-template name="abilities"/>
				</td>
				<td colspan="1" valign="top">
					<xsl:call-template name="basic-info"/>
					<xsl:call-template name="funds"/>
				</td>
			</tr>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="90%"/>
				<td width="10%"/>
			</tr>
			<tr>
				<td colspan="1" rowspan="6" valign="top">
					<table>
						<xsl:call-template name="hit-points"/>
						<xsl:call-template name="armor-class"/>
					</table>
				</td>
				<td colspan="1" valign="top">
					<xsl:call-template name="speed"/>
				</td>
			</tr>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="14%"/>
				<td width="14%"/>
				<td width="14%"/>
				<td width="14%"/>
				<td width="14%"/>
				<td width="14%"/>
				<td width="14%"/>
			</tr>
			<tr>
				<td colspan="4" valign="top">
					<xsl:apply-templates select="saving-throws"/>
					<xsl:apply-templates select="attacks"/>
					<xsl:variable name="monk" select="count(/character/classes/class/name[. = 'Monk'])"/>
					<xsl:if test="$monk != 0">
						<xsl:call-template name="unarmedattacks"/>
					</xsl:if>
					<xsl:apply-templates select="initiative"/>
					<xsl:apply-templates select="equiped-items/weapons"/>
				</td>
				<td colspan="3" rowspan="9" valign="top">
					<xsl:apply-templates select="skills"/>
					<xsl:call-template name="range-finder"/>
				</td>
			</tr>
		</table>
		<br style="page-break-after: always"/>
		<xsl:call-template name="page-header">
			<xsl:with-param name="heading">EQUIPMENT/ABILITIES/FEATS</xsl:with-param>
		</xsl:call-template>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="64%"/>
				<td width="2%"/>
				<td width="34%"/>
			</tr>
			<tr>
				<td valign="top">
					<xsl:call-template name="gear"/>
				</td>
				<td>
					<br/>
				</td>
				<td valign="top">
					<xsl:call-template name="abilities-list"/>
					<xsl:call-template name="feat-list"/>
					<xsl:call-template name="language-table"/>
				</td>
			</tr>
		</table>
		<xsl:call-template name="pagebreak"/>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<xsl:call-template name="intelligent"/>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="49%"/>
				<td width="1%"/>
				<td width="49%"/>
			</tr>
			<xsl:if test="equiped-items/protective-item != 0">
				<tr>
					<br/>
					<td align="center" colspan="3" bgcolor="black">
						<font face="Verdana" style="font-size:9pt" color="white">
							<b>Gear with Special Properties</b>
						</font>
					</td>
				</tr>
				<tr>
					<xsl:call-template name="protective-item">
						<xsl:with-param name="max" select="80"/>
					</xsl:call-template>
				</tr>
			</xsl:if>
			<tr>
				<td>
					<xsl:apply-templates select="equiped-items/armor"/>
				</td>
				<td>
					<br/>
				</td>
				<td>
					<xsl:apply-templates select="equiped-items/shield"/>
				</td>
			</tr>
		</table>
		<xsl:call-template name="spellbook"/>
		<xsl:for-each select="animals/animal">
			<br style="page-break-after: always"/>
			<xsl:apply-templates select="."/>
		</xsl:for-each>
		<xsl:if test="animals/animal != 0">
			<xsl:call-template name="animal-info"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="abilities">
		<table width="100%">
			<tr>
				<td align="center" width="28%">
					<font face="Verdana" style="font-size: 4pt">
						<text>ABILITY<br/>NAME</text>
					</font>
				</td>
				<td align="center" width="18%">
					<font face="Verdana" style="font-size: 4pt">
						<text>ABILITY<br/>SCORE</text>
					</font>
				</td>
				<td align="center" width="18%">
					<font face="Verdana" style="font-size: 4pt">
						<text>ABILITY<br/>MODIFIER</text>
					</font>
				</td>
				<td align="center" width="18%">
					<font face="Verdana" style="font-size: 4pt">
						<text>TEMPORARY<br/>SCORE</text>
					</font>
				</td>
				<td align="center" width="18%">
					<font face="Verdana" style="font-size: 4pt">
						<text>TEMPORARY<br/>MODIFIER</text>
					</font>
				</td>
			</tr>
			<xsl:for-each select="abilities/ability">
				<tr>
					<td align="center" bgcolor="black">
						<font face="Verdana" style="font-size:10pt" color="white">
							<b>
								<xsl:value-of select="abbr"/>
							</b>
							<br/>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="base"/>
							</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="modifier"/>
							</b>
						</font>
					</td>
					<td align="center" style="border: 3px solid lightgray">
						<font face="Verdana" style="font-size: 5pt">
							<br/>
						</font>
					</td>
					<td align="center" style="border: 3px solid lightgray">
						<font face="Verdana" style="font-size: 5pt">
							<br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template name="basic-info">
		<table cellpadding="0" cellspacing="4" border="0" width="100%" bgcolor="white">
			<tr>
				<td colspan="4" style="border-bottom: 1pt solid black">
					<font face="ForgottenUncial, Verdana" style="font-size:20pt">
						<xsl:value-of select="name"/>
					</font>
				</td>
				<td colspan="4" style="border-bottom: 1pt solid black">
					<font face="ForgottenUncial, Verdana" style="font-size:20pt">
						<xsl:value-of select="player"/>
					</font>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="classes/string"/>
					</font>
				</td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="race"/>
					</font>
				</td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="alignment/name"/>
					</font>
				</td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="deity/name"/>
						<xsl:for-each select="deity/domain">
							<xsl:if test="position() = 1">
								<xsl:text> </xsl:text>(
					              </xsl:if>
							<xsl:if test="position() = 2">
								<xsl:text>, </xsl:text>
							</xsl:if>
							<xsl:value-of select="name"/>
							<xsl:if test="position() = last()">
						        	 )
					             </xsl:if>
						</xsl:for-each>
					</font>
				</td>
			</tr>
			<tr>
				<td colspan="2" style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">
						<text>CLASS</text>
					</font>
				</td>
				<td colspan="2" style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">
						<text>RACE</text>
					</font>
				</td>
				<td colspan="2" style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">
						<text>ALIGNMENT</text>
					</font>
				</td>
				<td colspan="2" style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">
						<text>DEITY</text>
					</font>
				</td>
			</tr>
			<tr>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="classes/total"/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="size/category"/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="age"/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="gender"/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="size/height"/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="size/weight"/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="eyes"/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:value-of select="hair"/>
					</font>
				</td>
			</tr>
			<tr>
				<td style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">LEVEL</font>
				</td>
				<td style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">SIZE</font>
				</td>
				<td style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">AGE</font>
				</td>
				<td style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">GENDER</font>
				</td>
				<td style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">HEIGHT</font>
				</td>
				<td style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">WEIGHT</font>
				</td>
				<td style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">EYES</font>
				</td>
				<td style="border-top-width:1px; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:6pt">HAIR</font>
				</td>
			</tr>
			<tr>
				<br/>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="funds">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white" style="border: 1pt solid black">
			<tr>
				<td width="2%"/>
				<td width="10%"/>
				<td width="2%"/>
				<td width="20%"/>
				<td width="2%"/>
				<td width="20%"/>
				<td width="2%"/>
				<td width="20%"/>
				<td width="2%"/>
				<td width="20%"/>
			</tr>
			<tr>
				<td>
					<br/>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size:8pt">
						<text> Funds: </text>
					</font>
				</td>
				<td>
					<br/>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<xsl:text> PP - </xsl:text>
						<xsl:value-of select="currency/pp"/>
					</font>
				</td>
				<td>
					<br/>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<text> GP - </text>
						<xsl:value-of select="currency/gp"/>
					</font>
				</td>
				<td>
					<br/>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<text> SP - </text>
						<xsl:value-of select="currency/sp"/>
					</font>
				</td>
				<td>
					<br/>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<text> CP - </text>
						<xsl:value-of select="currency/cp"/>
					</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="hit-points">
		<xsl:param name="animal"/>
		<tr>
			<td width="11%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
			<td width="2%"/>
			<td width="5%"/>
		</tr>
		<tr>
			<td>
				<br/>
			</td>
			<td align="center" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<b>TOTAL</b>
				</font>
			</td>
			<td colspan="6" align="center">
				<font face="Verdana" style="font-size: 5pt">
					<br/>WOUNDS/CURRENT HP</font>
			</td>
			<td colspan="6" align="center">
				<font face="Verdana" style="font-size: 5pt">
					<br/>SUBDUAL DAMAGE</font>
			</td>
			<td colspan="2" align="center">
				<font face="Verdana" style="font-size: 5pt">
					<br/>DAMAGE<br/>REDUCTION</font>
			</td>
			<td colspan="4" align="center">
				<font face="Verdana" style="font-size: 5pt">
					<br/>HIT DIE<br/>TYPE</font>
			</td>
			<xsl:if test="$animal != 'yes'">
				<td colspan="1" rowspan="2"/>
				<td colspan="3" align="center">
					<font face="Verdana" style="font-size:5pt" color="black">
						<br/> Current <br/> Experience</font>
				</td>
				<td colspan="2" align="center">
					<font face="Verdana" style="font-size:5pt" color="black">
						<br/> For Next <br/> Level</font>
				</td>
			</xsl:if>
		</tr>
		<tr>
			<td align="center" bgcolor="black">
				<font face="Verdana" style="font-size:9pt" color="white">
					<b>HP</b>
					<br/>
				</font>
				<font face="Verdana" style="font-size:5pt" color="white">
					<text>HIT POINTS</text>
				</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:if test="$animal != 'yes'">
							<xsl:value-of select="/character/hit-points"/>
						</xsl:if>
						<xsl:if test="$animal = 'yes'">
							<xsl:value-of select="floor((/character/hit-points) div 2)"/>
						</xsl:if>
					</b>
				</font>
			</td>
			<td colspan="6" style="border: 1px solid black">
				<br/>
			</td>
			<td colspan="6" style="border: 1px solid black">
				<br/>
			</td>
			<td colspan="2" align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<xsl:if test="$animal != 'yes'">
						<xsl:for-each select="/character/features/class-features/class-feature/feature[starts-with(.,'Damage Reduction')]">
							<b>
								<xsl:value-of select="substring(.,19,1)"/>
							</b>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="$animal = 'yes'">
						<xsl:for-each select="/character/animals/animal/features/special-qualities/special-quality[starts-with(.,'Damage reduction')]">
							<b>
								<xsl:value-of select="substring(.,19,2)"/>
							</b>
						</xsl:for-each>
					</xsl:if>
					<br/>
				</font>
			</td>
			<td colspan="4" align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 7pt">
					<xsl:if test="$animal != 'yes'">
						<xsl:for-each select="/character/hit-dice/hit-die">
							<xsl:value-of select="die"/>
							<xsl:text> </xsl:text>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="$animal = 'yes'">
						<xsl:for-each select="/character/animals/animal/hit-dice/hit-die">
							<xsl:value-of select="die"/>
							<xsl:text> </xsl:text>
						</xsl:for-each>
					</xsl:if>
					<br/>
				</font>
			</td>
			<xsl:if test="$animal != 'yes'">
				<td colspan="3" align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size:9pt" color="black">
						<xsl:value-of select="/character/experience"/>
						<br/>
					</font>
				</td>
				<td colspan="2" align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size:9pt" color="black">
						<xsl:variable name="xp" select="/character/experience"/>
						<xsl:variable name="cl" select="/character/classes/total"/>
						<xsl:variable name="xp2go" select="($cl * $cl + $cl) * 500 - $xp"/>
						<xsl:value-of select="$xp2go"/>
					</font>
				</td>
			</xsl:if>
		</tr>
	</xsl:template>
	<xsl:template name="armor-class">
		<xsl:param name="animal"/>
		<tr>
			<td align="center" bgcolor="black">
				<font face="Verdana" style="font-size:9pt" color="white">
					<b>AC</b>
					<br/>
				</font>
				<font face="Verdana" style="font-size:5pt" color="white">
				ARMOR CLASS
			</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:value-of select="sum(armor-class/modifiers/modifier[@name != 'misc']/@value)"/>
					</b>
					<br/>
				</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size: 7pt">
					<b>=</b>
				</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:value-of select="armor-class/modifiers/modifier[@name = 'base']/@value"/>
					</b>
				</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:value-of select="armor-class/modifiers/modifier[@name = 'armor']/@value"/>
					</b>
				</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:value-of select="armor-class/modifiers/modifier[@name = 'shield']/@value"/>
					</b>
				</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:value-of select="armor-class/modifiers/modifier[@name = 'ability']/@value"/>
					</b>
				</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:value-of select="armor-class/modifiers/modifier[@name = 'size']/@value"/>
					</b>
				</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:value-of select="armor-class/modifiers/modifier[@name = 'natural']/@value"/>
					</b>
				</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:value-of select="armor-class/modifiers/modifier[@name = 'misc']/@value"/>
					</b>
				</font>
			</td>
			<td colspan="2" rowspan="2"/>
			<td rowspan="2"/>
			<xsl:if test="$animal != 'yes'">
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 9pt">
						<b>
							<xsl:value-of select="//character/miss-chance"/>
							<br/>
						</b>
					</font>
				</td>
				<td rowspan="2"/>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 9pt">
						<b>
							<xsl:element name="input">
								<xsl:attribute name="name">spfailarmor</xsl:attribute>
								<xsl:attribute name="type">hidden</xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="//character/equiped-items/armor/spell-failure"/></xsl:attribute>
							</xsl:element>
							<xsl:element name="input">
								<xsl:attribute name="name">spfailshield</xsl:attribute>
								<xsl:attribute name="type">hidden</xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="//character/equiped-items/shield/spell-failure"/></xsl:attribute>
							</xsl:element>
							<script language="javascript">
							armorx = parseInt(spfailarmor.value);
							if (isNaN(armorx))
								armorcalc = 0;
							else
								armorcalc = armorx;
								shieldx = parseInt(spfailshield.value);
							if (isNaN(shieldx))
								shieldcalc = 0;
							else
								shieldcalc = shieldx;
							totalx = armorcalc + shieldcalc;
							document.write(totalx);
						</script>
							<br/>
						</b>
					</font>
				</td>
				<td rowspan="2"/>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 9pt">
						<b>
							<xsl:element name="input">
								<xsl:attribute name="name">armorcheck</xsl:attribute>
								<xsl:attribute name="type">hidden</xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="//character/equiped-items/armor/check-penalty"/></xsl:attribute>
							</xsl:element>
							<xsl:element name="input">
								<xsl:attribute name="name">shieldcheck</xsl:attribute>
								<xsl:attribute name="type">hidden</xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="//character/equiped-items/shield/check-penalty"/></xsl:attribute>
							</xsl:element>
							<script language="javascript">
							armorx = parseInt(armorcheck.value);
							if (isNaN(armorx))
								armorcalc = 0;
							else
								armorcalc = armorx;
								shieldx = parseInt(shieldcheck.value);
							if (isNaN(shieldx))
								shieldcalc = 0;
							else
								shieldcalc = shieldx;
							totalx = armorcalc + shieldcalc;
							document.write(totalx);
						</script>
							<br/>
						</b>
					</font>
				</td>
				<td rowspan="2"/>
			</xsl:if>
			<td align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<b>
						<xsl:if test="$animal != 'yes'">
							<xsl:value-of select="//character/spell-resistance"/>
						</xsl:if>
						<xsl:if test="$animal = 'yes'">
							<xsl:for-each select="/character/animals/animal/features/special-qualities/special-quality[starts-with(.,'Resistance: Spell')]">
								<xsl:value-of select="substring(.,20,2)"/>
							</xsl:for-each>
						</xsl:if>
						<br/>
					</b>
				</font>
			</td>
		</tr>
		<tr>
			<td align="center">
				<font face="Verdana" style="font-size: 6pt"/>
			</td>
			<td align="center" valign="top">
				<font face="Verdana" style="font-size: 6pt">TOTAL</font>
			</td>
			<td/>
			<td align="center">
				<font face="Verdana" style="font-size: 4pt">BASE</font>
			</td>
			<td/>
			<td align="center">
				<font face="Verdana" style="font-size: 4pt">ARMOR<br/>BONUS</font>
			</td>
			<td/>
			<td align="center">
				<font face="Verdana" style="font-size: 4pt">SHIELD<br/>BONUS</font>
			</td>
			<td/>
			<td align="center">
				<font face="Verdana" style="font-size: 4pt">DEX<br/>BONUS</font>
			</td>
			<td/>
			<td align="center">
				<font face="Verdana" style="font-size: 4pt">SIZE<br/>BONUS</font>
			</td>
			<td/>
			<td align="center">
				<font face="Verdana" style="font-size: 4pt">NATURAL<br/>ARMOR</font>
			</td>
			<td/>
			<td align="center">
				<font face="Verdana" style="font-size: 4pt">MISC<br/>BONUS</font>
			</td>
			<xsl:if test="$animal != 'yes'">
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">MISS<br/>CHANCE</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">ARCANE<br/>FAILURE</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">ARMOR<br/>CHECK</font>
				</td>
			</xsl:if>
			<td align="center">
				<font face="Verdana" style="font-size: 4pt">SPELL<br/>RESIST.</font>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="speed">
		<tr>
			<td width="2%"/>
			<td width="30%"/>
			<td width="4%"/>
			<td width="30%"/>
			<td width="4%"/>
			<td width="30%"/>
		</tr>
		<tr>
			<td colspan="1" rowspan="4"/>
			<td align="center" colspan="5">
				<font face="Verdana" style="font-size: 8pt">
					<br/>SPEED<br/>
				</font>
			</td>
		</tr>
		<tr>
			<td colspan="5" align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<xsl:for-each select="//character/speeds/speed">
						<xsl:if test="position() &gt; 1">
							<xsl:text>, </xsl:text>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="name = 'Base'">
								<xsl:value-of select="value"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="name"/>
								<xsl:text> </xsl:text>
								<xsl:value-of select="value"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</font>
			</td>
		</tr>
		<tr>
			<td colspan="1" align="center" style="border: 1pt solid black">
				<font face="Verdana" style="font-size:8pt">
					<xsl:value-of select="load/light"/>
				</font>
			</td>
			<td colspan="1" rowspan="2"/>
			<td colspan="1" align="center" style="border: 1pt solid black">
				<font face="Verdana" style="font-size:8pt">
					<xsl:value-of select="load/medium"/>
				</font>
			</td>
			<td colspan="1" rowspan="2"/>
			<td colspan="1" align="center" style="border: 1pt solid black">
				<font face="Verdana" style="font-size:8pt">
					<xsl:value-of select="load/heavy"/>
				</font>
			</td>
		</tr>
		<tr>
			<td colspan="1" valign="top" align="center">
				<font face="Verdana" style="font-size:6pt">
					<b>LIGHT LOAD</b>
				</font>
			</td>
			<td colspan="1" valign="top" align="center">
				<font face="Verdana" style="font-size:6pt">
					<b>MEDIUM LOAD</b>
				</font>
			</td>
			<td colspan="1" valign="top" align="center">
				<font face="Verdana" style="font-size:6pt">
					<b>HEAVY LOAD</b>
				</font>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="saving-throws">
		<table width="98%">
			<tr>
				<td align="center" width="20%">
					<font face="Verdana" style="font-size: 4pt">
						<text>SAVING THROWS</text>
					</font>
				</td>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
						<text>TOTAL</text>
					</font>
				</td>
				<td align="center"/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
						<text>BASE<br/>SAVE</text>
					</font>
				</td>
				<td/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
						<text>ABILITY<br/>MODIFIER</text>
					</font>
				</td>
				<td/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
						<text>MAGIC<br/>MODIFIER</text>
					</font>
				</td>
				<td/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
						<text>MISC<br/>MODIFIER</text>
					</font>
				</td>
				<td align="center"/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
						<text>TEMPORARY<br/>MODIFIER</text>
					</font>
				</td>
				<td align="left" valign="top" width="20%" rowspan="4" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 4pt">
						<text>CONDITIONAL<br/>MODIFIERS</text>
					</font>
				</td>
			</tr>
			<xsl:for-each select="saving-throw">
				<tr>
					<td align="center" bgcolor="black">
						<font face="Verdana" style="font-size:10pt" color="white">
							<b>
								<xsl:value-of select="name"/>
							</b>
						</font>
						<font face="Verdana" style="font-size:5pt" color="white">
							<br/>
							<xsl:value-of select="ability"/>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/>
							</b>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>=</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="modifiers/modifier[@name = 'base']/@value"/>
							</b>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>+</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="modifiers/modifier[@name = 'ability']/@value"/>
							</b>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>+</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="modifiers/modifier[@name = 'magic']/@value"/>
							</b>
							<br/>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>+</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="modifiers/modifier[@name = 'misc']/@value"/>
							</b>
							<br/>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>+</b>
						</font>
					</td>
					<td align="center" style="border: 5px solid lightgray">
						<font face="Verdana" style="font-size: 5pt">
							<br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="attacks">
		<table width="98%">
			<tr>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt"/>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">TOTAL</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">BASE ATTACK BONUS</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 5pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">STR<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 5pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">SIZE<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">MISC<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">TEMPORARY<br/>MODIFIER</font>
				</td>
			</tr>
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:10pt" color="white">
						<b>MELEE</b>
					</font>
					<font face="Verdana" style="font-size:5pt" color="white">
						<br/>ATTACK BONUS
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<xsl:variable name="basebonus1" select="melee/modifiers/modifier[@name = 'base']/@value"/>
						<xsl:variable name="basebonus2" select="substring($basebonus1,1) - 5"/>
						<xsl:variable name="basebonus3" select="substring($basebonus1,1) - 10"/>
						<xsl:variable name="basebonus4" select="substring($basebonus1,1) - 15"/>
						<xsl:variable name="total1" select="sum(melee/modifiers/modifier[@name != 'misc']/@value)"/>
						<xsl:variable name="total2" select="substring($total1,1) - 5"/>
						<xsl:variable name="total3" select="substring($total1,1) - 10"/>
						<xsl:variable name="total4" select="substring($total1,1) - 15"/>
						<b>
							<xsl:value-of select="$total1"/>
						</b>
						<xsl:if test="$basebonus2> 0">
							<b>/<xsl:value-of select="$total2"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus3> 0">
							<b>/<xsl:value-of select="$total3"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus4> 0">
							<b>/<xsl:value-of select="$total4"/>
							</b>
						</xsl:if>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>=</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="melee/modifiers/modifier[@name = 'base']/@value"/>
						</b>
						<xsl:if test="$basebonus2> 0">
							<b>/<xsl:value-of select="$basebonus2"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus3> 0">
							<b>/<xsl:value-of select="$basebonus3"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus4> 0">
							<b>/<xsl:value-of select="$basebonus4"/>
							</b>
						</xsl:if>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="melee/modifiers/modifier[@name = 'ability']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="melee/modifiers/modifier[@name = 'size']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="melee/modifiers/modifier[@name = 'misc']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 5px solid lightgray">
					<font face="Verdana" style="font-size: 5pt">
						<br/>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:10pt" color="white">
						<b>RANGED</b>
					</font>
					<font face="Verdana" style="font-size:5pt" color="white">
						<br/>ATTACK BONUS
			</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<xsl:variable name="rangebonus1" select="ranged/modifiers/modifier[@name = 'base']/@value"/>
						<xsl:variable name="rangebonus2" select="substring($basebonus1,1) - 5"/>
						<xsl:variable name="rangebonus3" select="substring($basebonus1,1) - 10"/>
						<xsl:variable name="rangebonus4" select="substring($basebonus1,1) - 15"/>
						<xsl:variable name="rtotal1" select="sum(ranged/modifiers/modifier[@name != 'misc']/@value)"/>
						<xsl:variable name="rtotal2" select="substring($rtotal1,1) - 5"/>
						<xsl:variable name="rtotal3" select="substring($rtotal1,1) - 10"/>
						<xsl:variable name="rtotal4" select="substring($rtotal1,1) - 15"/>
						<b>
							<xsl:value-of select="$rtotal1"/>
						</b>
						<xsl:if test="$rangebonus2> 0">
							<b>/<xsl:value-of select="$rtotal2"/>
							</b>
						</xsl:if>
						<xsl:if test="$rangebonus3> 0">
							<b>/<xsl:value-of select="$rtotal3"/>
							</b>
						</xsl:if>
						<xsl:if test="$rangebonus4> 0">
							<b>/<xsl:value-of select="$rtotal4"/>
							</b>
						</xsl:if>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>=</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="ranged/modifiers/modifier[@name = 'base']/@value"/>
						</b>
						<xsl:if test="$rangebonus2> 0">
							<b>/<xsl:value-of select="$rangebonus2"/>
							</b>
						</xsl:if>
						<xsl:if test="$rangebonus3> 0">
							<b>/<xsl:value-of select="$rangebonus3"/>
							</b>
						</xsl:if>
						<xsl:if test="$rangebonus4> 0">
							<b>/<xsl:value-of select="$basebonus4"/>
							</b>
						</xsl:if>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="ranged/modifiers/modifier[@name = 'ability']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="ranged/modifiers/modifier[@name = 'size']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="ranged/modifiers/modifier[@name = 'misc']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 5px solid lightgray">
					<font face="Verdana" style="font-size: 5pt">
						<br/>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt"/>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">TOTAL</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">BASE ATTACK BONUS</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 5pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">DEX<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 5pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">SIZE<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">MISC<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">TEMPORARY<br/>MODIFIER</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="unarmedattacks">
		<table width="98%">
			<tr>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt"/>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">TOTAL</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">BASE ATTACK BONUS</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 5pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">STR<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 5pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">SIZE<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">MISC<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 4pt">TEMPORARY<br/>MODIFIER</font>
				</td>
			</tr>
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:10pt" color="white">
						<b>UNARMED</b>
					</font>
					<font face="Verdana" style="font-size:5pt" color="white">
						<br/>ATTACK BONUS
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<xsl:variable name="basebonus11" select="/character/attacks/melee/modifiers/modifier[@name = 'base']/@value"/>
						<xsl:variable name="basebonus12" select="substring($basebonus11,1) - 3"/>
						<xsl:variable name="basebonus13" select="substring($basebonus11,1) - 6"/>
						<xsl:variable name="basebonus14" select="substring($basebonus11,1) - 9"/>
						<xsl:variable name="basebonus15" select="substring($basebonus11,1) - 12"/>
						<xsl:variable name="total11" select="sum(/character/attacks/melee/modifiers/modifier[@name != 'misc']/@value)"/>
						<xsl:variable name="total12" select="substring($total11,1) - 3"/>
						<xsl:variable name="total13" select="substring($total11,1) - 6"/>
						<xsl:variable name="total14" select="substring($total11,1) - 9"/>
						<xsl:variable name="total15" select="substring($total11,1) - 12"/>
						<b>
							<xsl:value-of select="$total11"/>
						</b>
						<xsl:if test="$basebonus12> 0">
							<b>/<xsl:value-of select="$total12"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus13> 0">
							<b>/<xsl:value-of select="$total13"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus14> 0">
							<b>/<xsl:value-of select="$total14"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus15> 0">
							<b>/<xsl:value-of select="$total15"/>
							</b>
						</xsl:if>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>=</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="/character/attacks/melee/modifiers/modifier[@name = 'base']/@value"/>
						</b>
						<xsl:if test="$basebonus12> 0">
							<b>/<xsl:value-of select="$basebonus12"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus13> 0">
							<b>/<xsl:value-of select="$basebonus13"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus14> 0">
							<b>/<xsl:value-of select="$basebonus14"/>
							</b>
						</xsl:if>
						<xsl:if test="$basebonus15> 0">
							<b>/<xsl:value-of select="$basebonus15"/>
							</b>
						</xsl:if>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="/character/attacks/melee/modifiers/modifier[@name = 'ability']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="/character/attacks/melee/modifiers/modifier[@name = 'size']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="/character/attacks/melee/modifiers/modifier[@name = 'misc']/@value"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 5px solid lightgray">
					<font face="Verdana" style="font-size: 5pt">
						<br/>
					</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="initiative">
		<table>
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>INITIATIVE</b>
					</font>
					<font face="Verdana" style="font-size:5pt" color="white">
						<text>
							<br/>MODIFIER</text>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/>
						</b>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>=</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="modifiers/modifier[@name = 'ability']/@value"/>
						</b>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b>+</b>
					</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="modifiers/modifier[@name = 'misc']/@value"/>
						</b>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt"/>
				</td>
				<td align="center" valign="top">
					<font face="Verdana" style="font-size: 7pt">TOTAL</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 5pt">DEX<br/>MODIFIER</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 7pt">
						<b/>
					</font>
				</td>
				<td align="center">
					<font face="Verdana" style="font-size: 5pt">MISC<br/>MODIFIER</font>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="weapons">
		<xsl:for-each select="weapon">
			<xsl:variable name="basebonus1" select="/character/attacks/base"/>
			<xsl:variable name="basebonus2" select="substring($basebonus1,2) - 5"/>
			<xsl:variable name="basebonus3" select="substring($basebonus1,2) - 10"/>
			<xsl:variable name="basebonus4" select="substring($basebonus1,2) - 15"/>
			<table cellpadding="0" cellspacing="0" border="0" width="98%">
				<xsl:choose>
					<xsl:when test="position() = 1">
						<tr>
							<td width="5%" valign="top" align="left" bgcolor="black">
							</td>
							<td width="30%" align="center" bgcolor="black">
								<font face="Verdana" style="font-size:8pt" color="white">
									<b>WEAPON</b>
								</font>
							</td>
							<td width="5%" valign="top" align="right" bgcolor="black">
							</td>
							<td width="24%" align="center" bgcolor="black">
								<font face="Verdana" style="font-size:6pt" color="white">
									<b>ATTACK BONUS</b>
								</font>
							</td>
							<td width="18%" align="center" bgcolor="black">
								<font face="Verdana" style="font-size:6pt" color="white">
									<b>DAMAGE</b>
								</font>
							</td>
							<td width="18%" align="center" bgcolor="black">
								<font face="Verdana" style="font-size:6pt" color="white">
									<b>CRITICAL</b>
								</font>
							</td>
						</tr>
					</xsl:when>
					<xsl:otherwise>
						<tr>
							<td width="5%" valign="top" align="left" bgcolor="black">
							</td>
							<td width="30%" align="center" bgcolor="black">
								<font face="Verdana" style="font-size:8pt" color="white">
									<b>OFFHAND WEAPON</b>
								</font>
							</td>
							<td width="5%" valign="top" align="right" bgcolor="black">
							</td>
							<td width="24%" align="center" bgcolor="black">
								<font face="Verdana" style="font-size:6pt" color="white">
									<b>ATTACK BONUS</b>
								</font>
							</td>
							<td width="18%" align="center" bgcolor="black">
								<font face="Verdana" style="font-size:6pt" color="white">
									<b>DAMAGE</b>
								</font>
							</td>
							<td width="18%" align="center" bgcolor="black">
								<font face="Verdana" style="font-size:6pt" color="white">
									<b>CRITICAL</b>
								</font>
							</td>
						</tr>
					</xsl:otherwise>
				</xsl:choose>
				<tr>
					<td align="center" colspan="3" bgcolor="white" style="border: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>
								<xsl:value-of select="name"/>
								<br/>
							</b>
						</font>
					</td>
					<td align="center" bgcolor="white" style="border: 1px solid black">
						<xsl:variable name="tmpbonus1" select="bonus"/>
						<xsl:variable name="tmpbonus2" select="substring($tmpbonus1,2) - 5"/>
						<xsl:variable name="tmpbonus3" select="substring($tmpbonus1,2) - 10"/>
						<xsl:variable name="tmpbonus4" select="substring($tmpbonus1,2) - 15"/>
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>
								<xsl:value-of select="$tmpbonus1"/>
							</b>
							<xsl:if test="position() = 1">
								<xsl:if test="$basebonus2 > 0">
									<b>/<xsl:value-of select="$tmpbonus2"/>
									</b>
								</xsl:if>
								<xsl:if test="$basebonus3 > 0">
									<b>/<xsl:value-of select="$tmpbonus3"/>
									</b>
								</xsl:if>
								<xsl:if test="$basebonus4 > 0">
									<b>/<xsl:value-of select="$tmpbonus4"/>
									</b>
								</xsl:if>
							</xsl:if>
							<xsl:if test="position() > 1">
								<xsl:for-each select="//character/features/feats/feat">
									<xsl:if test="name = 'Improved Two-Weapon Fighting'">
										<xsl:if test="$basebonus2 > 0">
											<b>/<xsl:value-of select="$tmpbonus2"/>
											</b>
										</xsl:if>
										<xsl:if test="$basebonus3 > 0">
											<b>/<xsl:value-of select="$tmpbonus3"/>
											</b>
										</xsl:if>
										<xsl:if test="$basebonus4 > 0">
											<b>/<xsl:value-of select="$tmpbonus4"/>
											</b>
										</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</xsl:if>
						</font>
					</td>
					<td align="center" bgcolor="white" style="border: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<xsl:variable name="damage1" select="damage"/>
							<b>
								<xsl:value-of select="$damage1"/>
								<br/>
							</b>
						</font>
					</td>
					<td align="center" bgcolor="white" style="border: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>
								<xsl:value-of select="critical"/>
								<br/>
							</b>
						</font>
					</td>
				</tr>
			</table>
			<table cellpadding="0" cellspacing="0" border="0" width="98%">
				<tr>
					<td align="center" bgcolor="black" width="10%">
						<font face="Verdana" style="font-size:6pt" color="white">
							<b>RANGE</b>
						</font>
					</td>
					<td align="center" bgcolor="black" width="15%">
						<font face="Verdana" style="font-size:6pt" color="white">
							<b>WEIGHT</b>
						</font>
					</td>
					<td align="center" bgcolor="black" width="25%">
						<font face="Verdana" style="font-size:6pt" color="white">
							<b>TYPE</b>
						</font>
					</td>
					<td align="center" bgcolor="black" width="15%">
						<font face="Verdana" style="font-size:6pt" color="white">
							<b>SIZE</b>
						</font>
					</td>
					<td align="center" bgcolor="black" width="35%">
						<font face="Verdana" style="font-size:6pt" color="white">
							<b>SPECIAL PROPERTIES</b>
						</font>
					</td>
				</tr>
				<tr>
					<td align="center" bgcolor="white" style="border: 1px solid black">
						<font face="Verdana" style="font-size:6pt" color="black">
							<b>
								<xsl:value-of select="range"/>
								<br/>
							</b>
						</font>
					</td>
					<td align="center" bgcolor="white" style="border: 1px solid black">
						<font face="Verdana" style="font-size:6pt" color="black">
							<b>
								<xsl:value-of select="weight"/>
								<br/>
							</b>
						</font>
					</td>
					<td align="center" bgcolor="white" style="border: 1px solid black">
						<font face="Verdana" style="font-size:6pt" color="black">
							<b>
								<xsl:value-of select="damage-type"/>
								<br/>
							</b>
						</font>
					</td>
					<td align="center" bgcolor="white" style="border: 1px solid black">
						<font face="Verdana" style="font-size:6pt" color="black">
							<b>
								<xsl:value-of select="size"/>
								<br/>
							</b>
						</font>
					</td>
					<td align="center" bgcolor="white" style="border: 1px solid black">
						<font face="Verdana" style="font-size:6pt" color="black">
							<b>
								<xsl:value-of select="special"/>
								<br/>
							</b>
						</font>
					</td>
				</tr>
			</table>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="skills">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td colspan="10" bgcolor="black" align="center">
					<font face="Verdana" style="font-size: 8pt" color="white">
						<b>SKILLS</b>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" width="2%" bgcolor="black">
					<font face="Verdana" style="font-size: 4pt">
						<br/>
					</font>
				</td>
				<td align="center" width="45%" style="border: 1pt solid black">
					<font face="Verdana" style="font-size: 4pt">SKILL NAME</font>
				</td>
				<td align="center" width="10%" style="border: 1pt solid black">
					<font face="Verdana" style="font-size: 4pt">KEY<br/>ABILITY</font>
				</td>
				<td align="center" width="10%" style="border: 1pt solid black">
					<font face="Verdana" style="font-size: 4pt">TOTAL</font>
				</td>
				<td bgcolor="black">
					<br/>
				</td>
				<td align="center" width="10%" style="border: 1pt solid black">
					<font face="Verdana" style="font-size: 4pt">RANKS</font>
				</td>
				<td bgcolor="black">
					<br/>
				</td>
				<td align="center" width="10%" style="border: 1pt solid black">
					<font face="Verdana" style="font-size: 4pt">ABILITY<br/>MODIFIER</font>
				</td>
				<td bgcolor="black">
					<br/>
				</td>
				<td align="center" width="10%" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 4pt">MISC<br/>MODIFIER</font>
				</td>
			</tr>
			<xsl:apply-templates select="skill">
				<xsl:sort select="string(name)"/>
			</xsl:apply-templates>
		</table>
		<font face="Verdana" style="font-size: 5pt">Skills marked with <font face="Wingdings" style="font-size: 8pt">n</font> can be used untrained.</font>
		<br/>
		<font face="Verdana" style="font-size: 5pt">* armor check penalty, if any, applies.</font>
		<br/>
		<font face="Verdana" style="font-size: 5pt">** -1 per 5 lb. of gear</font>
		<br/>
	</xsl:template>
	<xsl:template match="skill">
		<tr>
			<xsl:if test="position() mod 2 = 0">
				<xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
			</xsl:if>
			<td align="left">
				<font face="Verdana" style="font-size: 7pt">
					<xsl:apply-templates select="untrained"/>
					<br/>
				</font>
			</td>
			<td align="left">
				<font face="Verdana" style="font-size: 7pt">
					<xsl:value-of select="name"/>
					<xsl:apply-templates select="armor-check"/>
					<xsl:apply-templates select="weight-check"/>
				</font>
			</td>
			<td align="left" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<xsl:value-of select="ability"/>
					<br/>
				</font>
			</td>
			<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<b>
						<xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/>
					</b>
				</font>
			</td>
			<td align="center" valign="bottom">
				<font face="Verdana" style="font-size: 7pt">
					<b>=</b>
				</font>
			</td>
			<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<xsl:variable name="rank" select="modifiers/modifier[@name = 'rank']/@value"/>
					<xsl:choose>
						<xsl:when test="$rank != 0">
							<b>
								<xsl:value-of select="$rank"/>
							</b>
						</xsl:when>
						<xsl:otherwise>
							<br/>
						</xsl:otherwise>
					</xsl:choose>
				</font>
			</td>
			<td align="center" valign="bottom">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<b>
						<xsl:value-of select="modifiers/modifier[@name = 'ability']/@value"/>
						<br/>
					</b>
				</font>
			</td>
			<td align="center" valign="bottom">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<xsl:variable name="rest" select="number(modifiers/modifier[@name = 'race']/@value)
					+ number(modifiers/modifier[@name = 'magic']/@value)
					+ number(modifiers/modifier[@name = 'feat']/@value)
					+ number(modifiers/modifier[@name = 'other']/@value)"/>
					<xsl:choose>
						<xsl:when test="$rest = 0">
							<br/>
						</xsl:when>
						<xsl:otherwise>
							<b>
								<xsl:value-of select="$rest"/>
							</b>
						</xsl:otherwise>
					</xsl:choose>
				</font>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="untrained">
		<font face="Wingdings" style="font-size: 8pt">n</font>
	</xsl:template>
	<xsl:template match="armor-check">
		<font face="Verdana" style="font-size: 8pt">*</font>
	</xsl:template>
	<xsl:template match="weight-check">
		<font face="Verdana" style="font-size: 8pt">**</font>
	</xsl:template>
	<xsl:template name="range-finder">
		<xsl:variable name="brbonus1" select="/character/attacks/base"/>
		<xsl:variable name="brbonus2" select="substring($brbonus1,2) - 5"/>
		<xsl:variable name="brbonus3" select="substring($brbonus1,2) - 10"/>
		<xsl:variable name="brbonus4" select="substring($brbonus1,2) - 15"/>
		<xsl:for-each select="/character/equiped-items/weapons/weapon">
			<xsl:if test="type = 'Ranged'">
				<xsl:variable name="x2" select="2"/>
				<xsl:variable name="x3" select="4"/>
				<xsl:variable name="x4" select="6"/>
				<xsl:variable name="x5" select="8"/>
				<xsl:variable name="rangedbonus1" select="substring(bonus,2)"/>
				<xsl:variable name="rangedbonus2" select="substring(bonus,2) - 5"/>
				<xsl:variable name="rangedbonus3" select="substring(bonus,2) - 10"/>
				<xsl:variable name="rangedbonus4" select="substring(bonus,2) - 15"/>
				<table width="100%" bordercolor="black" border="1" cellspacing="0">
					<tr>
						<td align="center" bgcolor="black" colspan="4">
							<font face="Verdana" style="font-size:8pt" color="white">
								<b>
									<xsl:value-of select="name"/>-RANGE</b>
							</font>
						</td>
					</tr>
					<xsl:variable name="increment" select="substring-before(range,' ')"/>
					<tr bgcolor="#DDDDDD">
						<td align="center" width="25%">
							<font face="Verdana" style="font-size:6pt" color="black">
								<xsl:value-of select="$increment"/>-<xsl:value-of select="$increment * 2"/>
							</font>
						</td>
						<td align="center" width="25%">
							<font face="Verdana" style="font-size:6pt" color="black">
								<xsl:value-of select="$increment * 2"/>-<xsl:value-of select="$increment * 3"/>
							</font>
						</td>
						<td align="center" width="25%">
							<font face="Verdana" style="font-size:6pt" color="black">
								<xsl:value-of select="$increment * 3"/>-<xsl:value-of select="$increment * 4"/>
							</font>
						</td>
						<td align="center" width="25%">
							<font face="Verdana" style="font-size:6pt" color="black">
								<xsl:value-of select="$increment * 4"/>-<xsl:value-of select="$increment * 5"/>
							</font>
						</td>
					</tr>
					<tr>
						<td align="center">
							<font face="Verdana" style="font-size:6pt" color="black">
								<b>
									<xsl:value-of select="$rangedbonus1 - $x2"/>
								</b>
								<xsl:if test="$brbonus2 > 0">
									<b>/<xsl:value-of select="$rangedbonus2 - $x2"/>
									</b>
								</xsl:if>
								<xsl:if test="$brbonus3 > 0">
									<b>/<xsl:value-of select="$rangedbonus3 - $x2"/>
									</b>
								</xsl:if>
								<xsl:if test="$brbonus4 > 0">
									<b>/<xsl:value-of select="$rangedbonus4 - $x2"/>
									</b>
								</xsl:if>
							</font>
						</td>
						<td align="center">
							<font face="Verdana" style="font-size:6pt" color="black">
								<b>
									<xsl:value-of select="$rangedbonus1 - $x3"/>
								</b>
								<xsl:if test="$brbonus2 > 0">
									<b>/<xsl:value-of select="$rangedbonus2 - $x3"/>
									</b>
								</xsl:if>
								<xsl:if test="$brbonus3 > 0">
									<b>/<xsl:value-of select="$rangedbonus3 - $x3"/>
									</b>
								</xsl:if>
								<xsl:if test="$brbonus4 > 0">
									<b>/<xsl:value-of select="$rangedbonus4 - $x3"/>
									</b>
								</xsl:if>
							</font>
						</td>
						<td align="center">
							<font face="Verdana" style="font-size:6pt" color="black">
								<b>
									<xsl:value-of select="$rangedbonus1 - $x4"/>
								</b>
								<xsl:if test="$brbonus2 > 0">
									<b>/<xsl:value-of select="$rangedbonus2 - $x4"/>
									</b>
								</xsl:if>
								<xsl:if test="$brbonus3 > 0">
									<b>/<xsl:value-of select="$rangedbonus3 - $x4"/>
									</b>
								</xsl:if>
								<xsl:if test="$brbonus4 > 0">
									<b>/<xsl:value-of select="$rangedbonus4 - $x4"/>
									</b>
								</xsl:if>
							</font>
						</td>
						<td align="center">
							<font face="Verdana" style="font-size:6pt" color="black">
								<b>
									<xsl:value-of select="$rangedbonus1 - $x5"/>
								</b>
								<xsl:if test="$brbonus2 > 0">
									<b>/<xsl:value-of select="$rangedbonus2 - $x5"/>
									</b>
								</xsl:if>
								<xsl:if test="$brbonus3 > 0">
									<b>/<xsl:value-of select="$rangedbonus3 - $x5"/>
									</b>
								</xsl:if>
								<xsl:if test="$brbonus4 > 0">
									<b>/<xsl:value-of select="$rangedbonus4 - $x5"/>
									</b>
								</xsl:if>
							</font>
						</td>
					</tr>
				</table>
				<br/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="page-header">
		<xsl:param name="heading"> </xsl:param>
		<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="20%" align="left" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>
							<xsl:value-of select="/character/name"/>
						</b>
					</font>
				</td>
				<td width="60%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>
							<xsl:value-of select="$heading"/>
						</b>
					</font>
				</td>
				<td width="20%" align="center" bgcolor="black">
					<br/>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="gear">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="38%"/>
				<td width="5%"/>
				<td width="7%"/>
				<td width="38%"/>
				<td width="5%"/>
				<td width="7%"/>
			</tr>
			<tr>
				<td align="center" colspan="6" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>GEAR CARRIED</b>
					</font>
				</td>
			</tr>
			<tr>
				<xsl:call-template name="gear-carried">
					<xsl:with-param name="count" select="40"/>
					<xsl:with-param name="row" select="1"/>
					<xsl:with-param name="max" select="80"/>
				</xsl:call-template>
			</tr>
			<tr>
				<td colspan="5" style="border-top: 1px solid black; margin-right: 2em; text-align: right">
					<font face="Verdana" style="font-size:8pt" color="black">
						<span style="margin-right: 1ex">TOTAL WEIGHT CARRIED</span>
					</font>
				</td>
				<td align="center" style="border: 2px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="load/carried"/>
						<br/>
					</font>
				</td>
			</tr>
			<tr>
				<td>
					<font face="Verdana" style="font-size:8pt">
						<br/>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" colspan="6" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>GEAR STORED</b>
					</font>
				</td>
			</tr>
			<tr>
				<xsl:call-template name="gear-stored">
					<xsl:with-param name="count" select="40"/>
					<xsl:with-param name="row" select="1"/>
					<xsl:with-param name="max" select="80"/>
				</xsl:call-template>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="gear-carried">
		<xsl:param name="max"/>
		<tr>
			<td align="center" style="border-left: 2px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">ITEM</font>
			</td>
			<td align="center" style="border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">#</font>
			</td>
			<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">WT.</font>
			</td>
			<td align="center" style="border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">ITEM</font>
			</td>
			<td align="center" style="border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">#</font>
			</td>
			<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">WT.</font>
			</td>
		</tr>
		<xsl:for-each select="items/item[(carried ='true') and not(name = preceding-sibling::*/name and type = preceding-sibling::*/type and carried = preceding-sibling::*/carried)]">
			<xsl:sort select="carried" order="descending"/>
			<xsl:sort select="type"/>
			<xsl:sort select="name"/>
			<xsl:variable name="pos" select="position()"/>
			<xsl:variable name="n" select="concat(type, ': ', name)"/>
			<xsl:variable name="count" select="count(/character/items/item[concat(type, ': ', name) = $n])"/>
			<xsl:variable name="wt" select="$count * number(substring-before(weight, 'lb'))"/>
			<xsl:if test="$pos &lt; $max">
				<xsl:if test="$pos mod 2 = 1">
					<tr>
						<xsl:if test="$pos mod 4 = 1">
							<xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
						</xsl:if>
						<td style="border-left: 2px solid black; border-bottom: 1px solid black">
							<font face="Verdana" style="font-size:6pt" color="black">
								<span style="margin-left: 1ex">
									<xsl:if test="name != 0">
										<xsl:value-of select="type"/>
										<xsl:text>: </xsl:text>
									</xsl:if>
									<xsl:value-of select="name"/>
									<br/>
								</span>
							</font>
						</td>
						<td align="center" style="border-bottom: 1px solid black; border-left: 1px solid black">
							<font face="Verdana" style="font-size:6pt" color="black">
								<xsl:value-of select="$count"/>
							</font>
						</td>
						<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
							<font face="Verdana" style="font-size:6pt" color="black">
								<xsl:if test="carried = 'false'">(</xsl:if>
								<xsl:value-of select="$wt"/>
								<xsl:text> lb</xsl:text>
								<xsl:if test="$wt != 1">
									<xsl:text>s</xsl:text>
								</xsl:if>
								<xsl:if test="carried = 'false'">)</xsl:if>
								<br/>
							</font>
						</td>
						<xsl:if test="$pos = last()">
							<td style="border-left: 1px solid black; border-bottom: 1px solid black">
								<font face="Verdana" style="font-size:6pt" color="black">
									<br/>
								</font>
							</td>
							<td style="border-left: 1px solid black; border-bottom: 1px solid black">
								<font face="Verdana" style="font-size:6pt" color="black">
									<br/>
								</font>
							</td>
							<td style="border-left: 1px solid black; border-bottom: 1px solid black; border-right: 2px solid black">
								<font face="Verdana" style="font-size:6pt" color="black">
									<br/>
								</font>
							</td>
						</xsl:if>
						<xsl:variable name="next" select="position() + 1"/>
						<xsl:for-each select="/character/items/item[(carried ='true') and not(name = preceding-sibling::*/name and type = preceding-sibling::*/type and carried = preceding-sibling::*/carried)]">
							<xsl:sort select="carried" order="descending"/>
							<xsl:sort select="type"/>
							<xsl:sort select="name"/>
							<xsl:if test="position() = $next">
								<xsl:variable name="n1" select="concat(type, ': ', name)"/>
								<xsl:variable name="count1" select="count(/character/items/item[concat(type, ': ', name) = $n1])"/>
								<xsl:variable name="wt1" select="$count1 * number(substring-before(weight, 'lb'))"/>
								<td style="border-left: 1px solid black; border-bottom: 1px solid black">
									<font face="Verdana" style="font-size:6pt" color="black">
										<span style="margin-left: 1ex">
											<xsl:if test="name != 0">
												<xsl:value-of select="type"/>
												<xsl:text>: </xsl:text>
												<xsl:value-of select="name"/>
											</xsl:if>
											<br/>
										</span>
									</font>
								</td>
								<td align="center" style="border-bottom: 1px solid black; border-left: 1px solid black">
									<font face="Verdana" style="font-size:6pt" color="black">
										<xsl:value-of select="$count1"/>
									</font>
								</td>
								<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
									<font face="Verdana" style="font-size:6pt" color="black">
										<xsl:if test="carried = 'false'">(</xsl:if>
										<xsl:value-of select="$wt1"/>
										<xsl:text> lb</xsl:text>
										<xsl:if test="$wt1 != 1">
											<xsl:text>s</xsl:text>
										</xsl:if>
										<xsl:if test="carried = 'false'">)</xsl:if>
										<br/>
									</font>
								</td>
							</xsl:if>
						</xsl:for-each>
					</tr>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
		<tr>
			<td style="border-left: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
		</tr>
		<tr bgcolor="#DDDDDD">
			<td style="border-left: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
		</tr>
		<tr>
			<td style="border-left: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="gear-stored">
		<xsl:param name="max"/>
		<tr>
			<td align="center" style="border-left: 2px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">ITEM</font>
			</td>
			<td align="center" style="border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">#</font>
			</td>
			<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">WT.</font>
			</td>
			<td align="center" style="border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">ITEM</font>
			</td>
			<td align="center" style="border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">#</font>
			</td>
			<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 2px solid black; border-top: 2px solid black">
				<font face="Verdana" style="font-size:7pt" color="black">WT.</font>
			</td>
		</tr>
		<xsl:for-each select="items/item[(carried ='false') and not(name = preceding-sibling::*/name and type = preceding-sibling::*/type and carried = preceding-sibling::*/carried)]">
			<xsl:sort select="carried" order="descending"/>
			<xsl:sort select="type"/>
			<xsl:sort select="name"/>
			<xsl:variable name="pos" select="position()"/>
			<xsl:variable name="n" select="concat(type, ': ', name)"/>
			<xsl:variable name="count" select="count(/character/items/item[concat(type, ': ', name) = $n])"/>
			<xsl:variable name="wt" select="$count * number(substring-before(weight, 'lb'))"/>
			<xsl:if test="$pos &lt; $max">
				<xsl:if test="$pos mod 2 = 1">
					<tr>
						<xsl:if test="$pos mod 4 = 1">
							<xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
						</xsl:if>
						<td style="border-left: 2px solid black; border-bottom: 1px solid black">
							<font face="Verdana" style="font-size:6pt" color="black">
								<span style="margin-left: 1ex">
									<xsl:if test="name != 0">
										<xsl:value-of select="type"/>
										<xsl:text>: </xsl:text>
									</xsl:if>
									<xsl:value-of select="name"/>
									<br/>
								</span>
							</font>
						</td>
						<td align="center" style="border-bottom: 1px solid black; border-left: 1px solid black">
							<font face="Verdana" style="font-size:6pt" color="black">
								<xsl:value-of select="$count"/>
							</font>
						</td>
						<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
							<font face="Verdana" style="font-size:6pt" color="black">
								<xsl:if test="carried = 'false'">(</xsl:if>
								<xsl:value-of select="$wt"/>
								<xsl:text> lb</xsl:text>
								<xsl:if test="$wt != 1">
									<xsl:text>s</xsl:text>
								</xsl:if>
								<xsl:if test="carried = 'false'">)</xsl:if>
								<br/>
							</font>
						</td>
						<xsl:if test="$pos = last()">
							<td style="border-left: 1px solid black; border-bottom: 1px solid black">
								<font face="Verdana" style="font-size:6pt" color="black">
									<br/>
								</font>
							</td>
							<td style="border-left: 1px solid black; border-bottom: 1px solid black">
								<font face="Verdana" style="font-size:6pt" color="black">
									<br/>
								</font>
							</td>
							<td style="border-left: 1px solid black; border-bottom: 1px solid black; border-right: 2px solid black">
								<font face="Verdana" style="font-size:6pt" color="black">
									<br/>
								</font>
							</td>
						</xsl:if>
						<xsl:variable name="next" select="position() + 1"/>
						<xsl:for-each select="/character/items/item[(carried ='false') and not(name = preceding-sibling::*/name and type = preceding-sibling::*/type and carried = preceding-sibling::*/carried)]">
							<xsl:sort select="carried" order="descending"/>
							<xsl:sort select="type"/>
							<xsl:sort select="name"/>
							<xsl:if test="position() = $next">
								<xsl:variable name="n1" select="concat(type, ': ', name)"/>
								<xsl:variable name="count1" select="count(/character/items/item[concat(type, ': ', name) = $n1])"/>
								<xsl:variable name="wt1" select="$count1 * number(substring-before(weight, 'lb'))"/>
								<td style="border-left: 1px solid black; border-bottom: 1px solid black">
									<font face="Verdana" style="font-size:6pt" color="black">
										<span style="margin-left: 1ex">
											<xsl:if test="name != 0">
												<xsl:value-of select="type"/>
												<xsl:text>: </xsl:text>
											</xsl:if>
											<xsl:value-of select="name"/>
											<br/>
										</span>
									</font>
								</td>
								<td align="center" style="border-bottom: 1px solid black; border-left: 1px solid black">
									<font face="Verdana" style="font-size:6pt" color="black">
										<xsl:value-of select="$count1"/>
									</font>
								</td>
								<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
									<font face="Verdana" style="font-size:6pt" color="black">
										<xsl:if test="carried = 'false'">(</xsl:if>
										<xsl:value-of select="$wt1"/>
										<xsl:text> lb</xsl:text>
										<xsl:if test="$wt1 != 1">
											<xsl:text>s</xsl:text>
										</xsl:if>
										<xsl:if test="carried = 'false'">)</xsl:if>
										<br/>
									</font>
								</td>
							</xsl:if>
						</xsl:for-each>
					</tr>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
		<tr>
			<td style="border-left: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
		</tr>
		<tr bgcolor="#DDDDDD">
			<td style="border-left: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
		</tr>
		<tr>
			<td style="border-left: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
			<td style="border-left: 1px solid black; border-right: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:6pt">
					<br/>
				</font>
			</td>
		</tr>
		<tr>
			<td>
				<font face="Verdana" style="font-size:8pt">
					<br/>
				</font>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="abilities-list">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>SPECIAL ABILITIES</b>
					</font>
				</td>
			</tr>
			<xsl:for-each select="features/special-attacks/special-attack">
				<tr>
					<td style="border: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>SA: </b>
							<xsl:value-of select="."/>
							<br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
			<xsl:for-each select="features/special-qualities/special-quality">
				<tr>
					<td style="border: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>SQ: </b>
							<xsl:value-of select="."/>
							<br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
			<xsl:if test="features/race-features/race-feature != 0">
				<tr>
					<td style="border: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>Racial: </b>
							<br/>
						</font>
					</td>
				</tr>
			</xsl:if>
			<xsl:for-each select="features/race-features/race-feature">
				<tr>
					<td style="border: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<xsl:value-of select="."/>
							<br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
			<xsl:for-each select="features/class-features">
				<xsl:for-each select="class-feature">
					<tr>
						<td style="border: 1px solid black">
							<font face="Verdana" style="font-size:8pt" color="black">
								<b>
									<xsl:value-of select="name"/>:</b>
								<br/>
							</font>
						</td>
					</tr>
					<xsl:for-each select="feature">
						<tr>
							<td style="border: 1pt solid black">
								<font face="Verdana" style="font-size:8pt" color="black">
									<xsl:text>  </xsl:text>
									<xsl:value-of select="."/>
									<br/>
								</font>
							</td>
						</tr>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="deity/domain">
				<xsl:if test="position() = 1">
					<tr>
						<td style="border: 1px solid black">
							<font face="Verdana" style="font-size:8pt" color="black">
								<b>Domain Power:</b>
								<br/>
							</font>
						</td>
					</tr>
				</xsl:if>
				<tr>
					<td style="border: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<xsl:value-of select="special-power"/>
							<br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		<br/>
	</xsl:template>
	<xsl:template name="feat-list">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>FEATS</b>
					</font>
				</td>
			</tr>
			<xsl:for-each select="features/feats/feat">
				<xsl:sort select="name"/>
				<tr>
					<td style="border: 1px solid black;">
						<font face="Verdana" style="font-size:8pt" color="black">
							<xsl:value-of select="name"/>
							<br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		<br/>
	</xsl:template>
	<xsl:template name="language-table">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="50%"/>
				<td width="50%"/>
			</tr>
			<tr>
				<td style="border-bottom: 1px solid black" colspan="2" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>LANGUAGES</b>
					</font>
				</td>
			</tr>
			<xsl:for-each select="languages/language">
				<xsl:sort select="." order="ascending"/>
				<xsl:variable name="pos" select="position()"/>
				<xsl:if test="$pos mod 2 = 1">
					<tr>
						<xsl:if test="$pos mod 4 = 1">
							<xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
						</xsl:if>
						<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
							<font face="Verdana" style="font-size:8pt" color="black">
								<xsl:value-of select="."/>
							</font>
						</td>
						<xsl:if test="$pos = last()">
							<td style="border-right: 1px solid black; border-bottom: 1px solid black">
								<font face="Verdana" style="font-size:6pt" color="black">
									<br/>
								</font>
							</td>
						</xsl:if>
						<xsl:variable name="next" select="position() + 1"/>
						<xsl:for-each select="/character/languages/language">
							<xsl:sort select="." order="ascending"/>
							<xsl:if test="position() = $next">
								<td style="border-right: 1px solid black; border-bottom: 1px solid black">
									<font face="Verdana" style="font-size:8pt" color="black">
										<xsl:value-of select="."/>
									</font>
								</td>
							</xsl:if>
						</xsl:for-each>
					</tr>
				</xsl:if>
			</xsl:for-each>
		</table>
		<br/>
	</xsl:template>
	<xsl:template name="pagebreak">
		<xsl:variable name="itemcount" select="count(/character/items/item[not(name = preceding-sibling::*/name)])"/>
		<xsl:variable name="SQcount" select="count(/character/features/special-qualities/special-quality)"/>
		<xsl:variable name="SFcount" select="count(/character/features/special-features/special-feature)"/>
		<xsl:variable name="RFcount" select="count(/character/features/race-features/race-feature)"/>
		<xsl:variable name="Fcount" select="count(/character/features/feats/feat)"/>
		<xsl:variable name="CFcount" select="count(/character/features/class-features/class-feature/feature)"/>
		<xsl:variable name="Lcount" select="count(/character/languages/language)"/>
		<xsl:variable name="featurestotal" select="2 * ($SQcount + $SFcount + $RFcount + $Fcount + $CFcount + $Lcount)"/>
		<xsl:variable name="INTcount" select="4 * count(/character/items/item/intelligent)"/>
		<xsl:variable name="INTPricount" select="count(/character/items/item/intelligent/primary-abilities/primary-ability) div 2"/>
		<xsl:variable name="INTEPcount" select="count(/character/items/item/intelligent/extraordinary-powers/extraordinary-power) div 2"/>
		<xsl:variable name="INTSPcount" select="count(/character/items/item/intelligent/special-powers/special-power) * 2"/>
		<xsl:variable name="INTtotal" select="$INTcount + $INTPricount + $INTEPcount + $INTSPcount"/>
		<xsl:variable name="EQPcount" select="count(/character/equiped-items/protective-item/name)"/>
		<xsl:variable name="MiscShieldArmor" select="20"/>
		<xsl:variable name="inteqptotal" select="$INTtotal + (3 * $EQPcount) + $MiscShieldArmor"/>
		<xsl:choose>
			<xsl:when test="$featurestotal > $itemcount">
				<xsl:variable name="righttotal" select="$featurestotal + $inteqptotal"/>
				<xsl:if test="$righttotal> 100">
					<br style="page-break-after: always"/>
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>
							<xsl:value-of select="/character/name"/>
						</b>
					</font>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="lefttotal" select="$itemcount + $inteqptotal"/>
				<xsl:if test="$lefttotal> 100">
					<br style="page-break-after: always"/>
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>
							<xsl:value-of select="/character/name"/>
						</b>
					</font>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="intelligent">
		<xsl:if test="items/item/intelligent != 0">
			<tr>
				<br/>
				<td align="center" colspan="3" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>Intelligent Item Abilities</b>
					</font>
				</td>
			</tr>
		</xsl:if>
		<xsl:for-each select="items/item">
			<xsl:if test="intelligent != 0">
				<tr>
					<td style="border: 1px solid black;">
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>
								<xsl:value-of select="name"/>: 
								<xsl:value-of select="intelligent/alignment"/>: 
							Abilities; </b>
							<xsl:for-each select="intelligent/abilities/ability">
								<xsl:variable name="pos" select="position()"/>
								<xsl:value-of select="abbr"/> = 
								<xsl:value-of select="base"/>
								<xsl:if test="$pos != last()">
									<xsl:text>,  </xsl:text>
								</xsl:if>
							</xsl:for-each>
							<xsl:if test="(intelligent/read-languages = 'true') and (intelligent/read-magic = 'true')">
								<text>; Read Languages, Read Magic</text>
							</xsl:if>
							<xsl:if test="(intelligent/read-languages = 'true') and (intelligent/read-magic = 'false')">
								<text>; Read Magic</text>
							</xsl:if>
							<xsl:if test="(intelligent/read-languages = 'false') and (intelligent/read-magic = 'true')">
								<text>; Read Magic</text>
							</xsl:if>
							<xsl:if test="intelligent/communication!= 0">
								<b>: Communication</b> = <xsl:value-of select="intelligent/communication"/>
							</xsl:if>
							<xsl:if test="intelligent/primary-abilities!= 0">
								<b>: Primary Abilities; </b>
								<xsl:for-each select="intelligent/primary-abilities/primary-ability">
									<xsl:variable name="pos" select="position()"/>
									<xsl:value-of select="."/>
									<xsl:if test="$pos != last()">
										<xsl:text>,  </xsl:text>
									</xsl:if>
								</xsl:for-each>
							</xsl:if>
							<xsl:if test="intelligent/extraordinary-powers!= 0">
								<b>: Extraordinary Powers; </b>
								<xsl:for-each select="intelligent/extraordinary-powers/extraordinary-power">
									<xsl:variable name="pos" select="position()"/>
									<xsl:value-of select="."/>
									<xsl:if test="$pos != last()">
										<xsl:text>,  </xsl:text>
									</xsl:if>
								</xsl:for-each>
							</xsl:if>
							<xsl:if test="intelligent/special-purpose!= 0">
								<b>: Special Purpose; </b>
								<xsl:value-of select="intelligent/special-purpose"/>
								<text> using </text>
								<xsl:value-of select="intelligent/purpose-powers"/>
							</xsl:if>
							<xsl:if test="intelligent/languages!= 0">
								<b>: Languages</b> = <xsl:value-of select="intelligent/languages"/>
							</xsl:if>
						</font>
						<br/>
					</td>
				</tr>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="protective-item">
		<xsl:param name="max"/>
		<xsl:for-each select="equiped-items/protective-item">
			<xsl:sort select="name" order="ascending"/>
			<xsl:variable name="pos" select="position()"/>
			<xsl:if test="name != 0">
				<xsl:if test="$pos &lt; $max">
					<xsl:if test="$pos mod 2 = 1">
						<tr>
							<td style="style= border: 1px solid black">
								<xsl:if test="$pos mod 4 = 1">
									<xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
								</xsl:if>
								<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
									<tr>
										<td align="center" bgcolor="black">
											<font face="Verdana" style="font-size:8pt" color="white">
												<b>
													<xsl:value-of select="name"/>
												</b>
											</font>
										</td>
										<xsl:variable name="bonuses" select="count(bonuses/bonus)"/>
										<xsl:choose>
											<xsl:when test="$bonuses = 3">
												<td width="14%" align="center" bgcolor="black">
													<font face="Verdana" style="font-size:6pt" color="white">
														<b>
															<xsl:value-of select="bonuses/bonus[1]/@name"/>
														</b>
														<br/>
													</font>
												</td>
												<td width="14%" align="center" bgcolor="black">
													<font face="Verdana" style="font-size:6pt" color="white">
														<b>
															<xsl:value-of select="bonuses/bonus[2]/@name"/>
														</b>
														<br/>
													</font>
												</td>
												<td width="14%" align="center" bgcolor="black">
													<font face="Verdana" style="font-size:6pt" color="white">
														<b>
															<xsl:value-of select="bonuses/bonus[3]/@name"/>
														</b>
														<br/>
													</font>
												</td>
											</xsl:when>
											<xsl:when test="$bonuses = 2">
												<td width="14%" align="center" bgcolor="black">
													<font face="Verdana" style="font-size:6pt" color="white">
														<b>
															<xsl:value-of select="bonuses/bonus[1]/@name"/>
														</b>
														<br/>
													</font>
												</td>
												<td colspan="2" width="14%" align="center" bgcolor="black">
													<font face="Verdana" style="font-size:6pt" color="white">
														<b>
															<xsl:value-of select="bonuses/bonus[2]/@name"/>
														</b>
														<br/>
													</font>
												</td>
											</xsl:when>
											<xsl:when test="$bonuses = 1">
												<td colspan="3" width="14%" align="center" bgcolor="black">
													<font face="Verdana" style="font-size:6pt" color="white">
														<b>
															<xsl:value-of select="bonuses/bonus/@name"/>
														</b>
														<br/>
													</font>
												</td>
											</xsl:when>
										</xsl:choose>
									</tr>
									<tr>
										<td align="center" bgcolor="white" style="border: 1px solid black">
											<font face="Verdana" style="font-size:8pt" color="black">
												<b>
													<xsl:value-of select="special-properties"/>
												</b>
												<br/>
											</font>
										</td>
										<xsl:choose>
											<xsl:when test="$bonuses = 3">
												<td align="center" bgcolor="white" style="border: 1px solid black">
													<font face="Verdana" style="font-size:8pt" color="black">
														<b>
															<xsl:value-of select="bonuses/bonus[1]/@value"/>
														</b>
														<br/>
													</font>
												</td>
												<td align="center" bgcolor="white" style="border: 1px solid black">
													<font face="Verdana" style="font-size:8pt" color="black">
														<b>
															<xsl:value-of select="bonuses/bonus[2]/@value"/>
														</b>
														<br/>
													</font>
												</td>
												<td align="center" bgcolor="white" style="border: 1px solid black">
													<font face="Verdana" style="font-size:8pt" color="black">
														<b>
															<xsl:value-of select="bonuses/bonus[3]/@value"/>
														</b>
														<br/>
													</font>
												</td>
											</xsl:when>
											<xsl:when test="$bonuses = 2">
												<td align="center" bgcolor="white" style="border: 1px solid black">
													<font face="Verdana" style="font-size:8pt" color="black">
														<b>
															<xsl:value-of select="bonuses/bonus[1]/@value"/>
														</b>
														<br/>
													</font>
												</td>
												<td colspan="2" align="center" bgcolor="white" style="border: 1px solid black">
													<font face="Verdana" style="font-size:8pt" color="black">
														<b>
															<xsl:value-of select="bonuses/bonus[2]/@value"/>
														</b>
														<br/>
													</font>
												</td>
											</xsl:when>
											<xsl:when test="$bonuses = 1">
												<td colspan="3" align="center" bgcolor="white" style="border: 1px solid black">
													<font face="Verdana" style="font-size:8pt" color="black">
														<b>
															<xsl:value-of select="bonuses/bonus/@value"/>
														</b>
														<br/>
													</font>
												</td>
											</xsl:when>
										</xsl:choose>
									</tr>
								</table>
							</td>
							<td>
								<br/>
							</td>
							<xsl:variable name="next" select="position() + 1"/>
							<xsl:for-each select="/character/equiped-items/protective-item">
								<xsl:sort select="name" order="ascending"/>
								<xsl:if test="position() = $next">
									<td>
										<xsl:if test="$pos mod 4 = 1">
											<xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
										</xsl:if>
										<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
											<tr>
												<td align="center" bgcolor="black">
													<font face="Verdana" style="font-size:8pt" color="white">
														<b>
															<xsl:value-of select="name"/>
														</b>
													</font>
												</td>
												<xsl:variable name="bonuses1" select="count(bonuses/bonus)"/>
												<xsl:choose>
													<xsl:when test="$bonuses1 = 3">
														<td width="14%" align="center" bgcolor="black">
															<font face="Verdana" style="font-size:6pt" color="white">
																<b>
																	<xsl:value-of select="bonuses/bonus[1]/@name"/>
																</b>
																<br/>
															</font>
														</td>
														<td width="14%" align="center" bgcolor="black">
															<font face="Verdana" style="font-size:6pt" color="white">
																<b>
																	<xsl:value-of select="bonuses/bonus[2]/@name"/>
																</b>
																<br/>
															</font>
														</td>
														<td width="14%" align="center" bgcolor="black">
															<font face="Verdana" style="font-size:6pt" color="white">
																<b>
																	<xsl:value-of select="bonuses/bonus[3]/@name"/>
																</b>
																<br/>
															</font>
														</td>
													</xsl:when>
													<xsl:when test="$bonuses1 = 2">
														<td width="14%" align="center" bgcolor="black">
															<font face="Verdana" style="font-size:6pt" color="white">
																<b>
																	<xsl:value-of select="bonuses/bonus[1]/@name"/>
																</b>
																<br/>
															</font>
														</td>
														<td colspan="2" width="14%" align="center" bgcolor="black">
															<font face="Verdana" style="font-size:6pt" color="white">
																<b>
																	<xsl:value-of select="bonuses/bonus[2]/@name"/>
																</b>
																<br/>
															</font>
														</td>
													</xsl:when>
													<xsl:when test="$bonuses1 = 1">
														<td colspan="3" width="14%" align="center" bgcolor="black">
															<font face="Verdana" style="font-size:6pt" color="white">
																<b>
																	<xsl:value-of select="bonuses/bonus/@name"/>
																</b>
																<br/>
															</font>
														</td>
													</xsl:when>
												</xsl:choose>
											</tr>
											<tr>
												<td align="center" bgcolor="white" style="border: 1px solid black">
													<font face="Verdana" style="font-size:8pt" color="black">
														<b>
															<xsl:value-of select="special-properties"/>
														</b>
														<br/>
													</font>
												</td>
												<xsl:choose>
													<xsl:when test="$bonuses1 = 3">
														<td align="center" bgcolor="white" style="border: 1px solid black">
															<font face="Verdana" style="font-size:8pt" color="black">
																<b>
																	<xsl:value-of select="bonuses/bonus[1]/@value"/>
																</b>
																<br/>
															</font>
														</td>
														<td align="center" bgcolor="white" style="border: 1px solid black">
															<font face="Verdana" style="font-size:8pt" color="black">
																<b>
																	<xsl:value-of select="bonuses/bonus[2]/@value"/>
																</b>
																<br/>
															</font>
														</td>
														<td align="center" bgcolor="white" style="border: 1px solid black">
															<font face="Verdana" style="font-size:8pt" color="black">
																<b>
																	<xsl:value-of select="bonuses/bonus[3]/@value"/>
																</b>
																<br/>
															</font>
														</td>
													</xsl:when>
													<xsl:when test="$bonuses1 = 2">
														<td align="center" bgcolor="white" style="border: 1px solid black">
															<font face="Verdana" style="font-size:8pt" color="black">
																<b>
																	<xsl:value-of select="bonuses/bonus[1]/@value"/>
																</b>
																<br/>
															</font>
														</td>
														<td colspan="2" align="center" bgcolor="white" style="border: 1px solid black">
															<font face="Verdana" style="font-size:8pt" color="black">
																<b>
																	<xsl:value-of select="bonuses/bonus[2]/@value"/>
																</b>
																<br/>
															</font>
														</td>
													</xsl:when>
													<xsl:when test="$bonuses1 = 1">
														<td colspan="3" align="center" bgcolor="white" style="border: 1px solid black">
															<font face="Verdana" style="font-size:8pt" color="black">
																<b>
																	<xsl:value-of select="bonuses/bonus/@value"/>
																</b>
																<br/>
															</font>
														</td>
													</xsl:when>
												</xsl:choose>
											</tr>
										</table>
									</td>
								</xsl:if>
							</xsl:for-each>
						</tr>
					</xsl:if>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="armor">
		<table cellpadding="0" cellspacing="0" border="0" width="98%">
			<tr>
				<td width="5%" valign="top" align="left" bgcolor="black">
		</td>
				<td width="30%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:8pt" color="white">
						<b>ARMOR</b>
					</font>
				</td>
				<td width="5%" valign="top" align="right" bgcolor="black">
		</td>
				<td width="30%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>TYPE</b>
					</font>
				</td>
				<td width="15%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>ARMOR BONUS</b>
					</font>
				</td>
				<td width="15%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>MAX DEX BONUS</b>
					</font>
				</td>
			</tr>
			<tr>
				<td colspan="3" align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="name"/>
							<br/>
						</b>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="weight-type"/>
							<br/>
						</b>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="bonus"/>
							<br/>
						</b>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="max-dex"/>
							<br/>
						</b>
					</font>
				</td>
			</tr>
		</table>
		<table cellpadding="0" cellspacing="0" border="0" width="98%">
			<tr>
				<td width="10%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:5pt" color="white">
						<b>CHECK PENALTY</b>
					</font>
				</td>
				<td width="10%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:5pt" color="white">
						<b>SPELL FAILURE</b>
					</font>
				</td>
				<td width="15%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>SPEED</b>
					</font>
				</td>
				<td width="15%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>WEIGHT</b>
					</font>
				</td>
				<td width="50%" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>SPECIAL PROPERTIES</b>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:6pt" color="black">
						<b>
							<xsl:value-of select="check-penalty"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:6pt" color="black">
						<b>
							<xsl:value-of select="spell-failure"/>%</b>
						<br/>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:6pt" color="black">
						<b>
							<xsl:value-of select="speed"/> ft.</b>
						<br/>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:6pt" color="black">
						<b>
							<xsl:value-of select="weight"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:6pt" color="black">
						<b>
							<xsl:value-of select="special"/>
						</b>
						<br/>
					</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="shield">
		<table border="0" cellpadding="0" cellspacing="0" width="98%">
			<font face="Verdana" style="font-size:4pt" color="black">
				<br/>
			</font>
			<tr>
				<td width="5%" valign="top" align="left" bgcolor="black">
		</td>
				<td align="center" bgcolor="black" width="30%">
					<font face="Verdana" style="font-size:8pt" color="white">
						<b>SHIELD</b>
					</font>
				</td>
				<td width="5%" valign="top" align="right" bgcolor="black">
		</td>
				<td align="center" bgcolor="black" width="15%">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>ARMOR BONUS</b>
					</font>
				</td>
				<td align="center" bgcolor="black" width="15%">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>WEIGHT</b>
					</font>
				</td>
				<td align="center" bgcolor="black" width="15%">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>CHECK PENALTY</b>
					</font>
				</td>
				<td align="center" bgcolor="black" width="15%">
					<font face="Verdana" style="font-size:6pt" color="white">
						<b>SPELL FAILURE</b>
					</font>
				</td>
			</tr>
			<tr>
				<td colspan="3" align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="name"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="bonus"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="weight"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="check-penalty"/>
						</b>
						<br/>
					</font>
				</td>
				<td align="center" bgcolor="white" style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="spell-failure"/>%</b>
						<br/>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" bgcolor="black" colspan="7">
					<font face="Verdana" style="font-size:7pt" color="white">
						<b>SPECIAL PROPERTIES</b>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" bgcolor="white" style="border: 1px solid black" colspan="7">
					<font face="Verdana" style="font-size:8pt" color="black">
						<b>
							<xsl:value-of select="special"/>
						</b>
						<br/>
					</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="spellbook">
		<xsl:if test="spells/spell">
			<br style="page-break-after: always"/>
			<xsl:for-each select="spells-known/class">
				<xsl:call-template name="spellbook-heading"/>
				<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
					<tr>
						<td width="20%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
						<td width="6%"/>
						<td rowspan="8" width="2%"/>
					</tr>
					<tr>
						<td align="center">
							<font face="Verdana" style="font-size:9pt">
								<b>LEVEL</b>
							</font>
						</td>
						<xsl:for-each select="spells-per-day/level">
							<td align="center">
								<font face="Verdana" style="font-size:8pt">
									<xsl:value-of select="@name"/>
									<br/>
								</font>
							</td>
						</xsl:for-each>
					</tr>
					<tr>
						<td colspan="20">
							<font face="Verdana" style="font-size:2pt">
								<br/>
							</font>
						</td>
					</tr>
					<tr>
						<td align="center">
							<font face="Verdana" style="font-size:7pt">
					SPELL SAVE DC
				</font>
						</td>
						<xsl:for-each select="spell-save-dc/level">
							<td align="center" style="border: 1px solid black">
								<font face="Verdana" style="font-size:7pt">
									<xsl:value-of select="@value"/>
									<br/>
								</font>
							</td>
						</xsl:for-each>
					</tr>
					<tr>
						<td colspan="20">
							<font face="Verdana" style="font-size:2pt">
								<br/>
							</font>
						</td>
					</tr>
					<tr>
						<td align="center">
							<font face="Verdana" style="font-size:7pt">
					SPELLS KNOWN
				</font>
						</td>
						<xsl:for-each select="number-spells-known/level">
							<td align="center" style="border: 1px solid black">
								<font face="Verdana" style="font-size:7pt">
									<xsl:value-of select="@value"/>
									<br/>
								</font>
							</td>
						</xsl:for-each>
					</tr>
					<tr>
						<td colspan="20">
							<font face="Verdana" style="font-size:2pt">
								<br/>
							</font>
						</td>
					</tr>
					<tr>
						<td align="center">
							<font face="Verdana" style="font-size:7pt">
						SPELLS PER DAY
					</font>
						</td>
						<xsl:variable name="bonus" select="bonus-spells-per-day"/>
						<xsl:for-each select="spells-per-day/level">
							<td align="center" style="border: 1px solid black">
								<font face="Verdana" style="font-size:7pt">
									<xsl:value-of select="@value"/>
									<xsl:variable name="name" select="@name"/>
									<xsl:if test="$bonus/level[@name = $name]/@value != '0'">
								+ <xsl:value-of select="$bonus/level[@name = $name]/@value"/>
									</xsl:if>
									<br/>
								</font>
							</td>
						</xsl:for-each>
					</tr>
					<tr>
						<td colspan="20">
							<font face="Verdana" style="font-size:6pt">
								<br/>
							</font>
						</td>
					</tr>
				</table>
				<table align="top" border="1" cellpadding="0" cellspacing="0" width="100%" bgcolor="white" bordercolor="black">
					<xsl:call-template name="spell-headings"/>
					<xsl:variable name="name" select="name"/>
					<xsl:for-each select="spell">
						<xsl:sort select="level" order="descending"/>
						<xsl:sort select="name"/>
						<xsl:variable name="pos" select="position()"/>
						<xsl:variable name="pos1" select="position() - 37"/>
						<xsl:choose>
							<xsl:when test="$pos = 38">
								<xsl:if test="position() mod 37 = 1">
									<xsl:if test="position() != 1">
										<tr style="page-break-before: always">
											<td colspan="9">
												<xsl:call-template name="spellbook-heading"/>
											</td>
										</tr>
										<xsl:call-template name="spell-headings"/>
									</xsl:if>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="$pos1 mod 40 = 1">
									<xsl:if test="position() != 1">
										<tr style="page-break-before: always">
											<td colspan="9">
												<xsl:call-template name="spellbook-heading"/>
											</td>
										</tr>
										<xsl:call-template name="spell-headings"/>
									</xsl:if>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						<tr>
							<xsl:if test="position() mod 2 = 0">
								<xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
							</xsl:if>
							<xsl:variable name="spell1" select="name"/>
							<xsl:variable name="spell1school" select="/character/spells/spell[name = $spell1]/school"/>
							<xsl:variable name="spell1time" select="/character/spells/spell[name = $spell1]/casting-time"/>
							<xsl:variable name="spell1range" select="/character/spells/spell[name = $spell1]/range"/>
							<xsl:variable name="spell1duration" select="/character/spells/spell[name = $spell1]/duration"/>
							<xsl:variable name="spell1save" select="/character/spells/spell[name = $spell1]/save"/>
							<xsl:variable name="spell1desc" select="/character/spells/spell[name = $spell1]/short-description"/>
							<xsl:variable name="lvl1" select="level"/>
							<td align="center">
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:variable name="class-number" select="//character/spells-prepared/class[name = $name]"/>
									<xsl:variable name="prep" select="$class-number/spell[name = $spell1]/count"/>
									<xsl:apply-templates select="$prep"/>
									<br/>
								</font>
							</td>
							<td align="center" valign="middle" height="18pt">
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:apply-templates select="$lvl1"/>
								</font>
							</td>
							<td>
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:value-of select="$spell1"/>
									<br/>
								</font>
							</td>
							<td>
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:value-of select="$spell1school"/>
									<br/>
								</font>
							</td>
							<td>
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:value-of select="$spell1time"/>
									<br/>
								</font>
							</td>
							<td>
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:value-of select="$spell1range"/>
									<br/>
								</font>
							</td>
							<td>
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:value-of select="$spell1duration"/>
									<br/>
								</font>
							</td>
							<td>
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:value-of select="$spell1save"/>
									<br/>
								</font>
							</td>
							<td>
								<font face="Verdana" style="font-size:6pt" color="black">
									<xsl:value-of select="$spell1desc"/>
									<br/>
								</font>
							</td>
						</tr>
					</xsl:for-each>
				</table>
				<xsl:if test="position() != last()">
					<br style="page-break-after: always"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template name="spell-headings">
		<tr>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">Prep</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">Lvl</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">Spell</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">School</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">Cast Time</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">Range</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">Duration</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">Save</font>
			</td>
			<td align="center">
				<font face="Verdana" style="font-size:8pt" color="black">Description</font>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="spellbook-heading">
		<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>
							<xsl:value-of select="/character/name"/>'s <xsl:value-of select="full-name"/> Spells</b>
					</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="level">
		<xsl:choose>
			<xsl:when test=". = '0'">0</xsl:when>
			<xsl:when test=". = '1'">1st</xsl:when>
			<xsl:when test=". = '2'">2nd</xsl:when>
			<xsl:when test=". = '3'">3rd</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>th
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="animal">
		<body bgcolor="white"/>
		<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td align="center" colspan="6" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>
							<xsl:value-of select="/character/name"/>'s <xsl:value-of select="full-name"/> Animal</b>
					</font>
				</td>
			</tr>
		</table>
		<font face="ForgottenUncial, Verdana" style="font-size:20pt">
			<b>
				<xsl:value-of select="name"/>
			</b>:
			<xsl:text> </xsl:text>
		</font>
		<br/>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="30%">
					<xsl:call-template name="abilities"/>
				</td>
				<td width="70%" valign="top">
					<table border="0" cellpadding="0" cellspacing="2" width="100%">
						<xsl:call-template name="hit-points">
							<xsl:with-param name="animal">yes</xsl:with-param>
						</xsl:call-template>
						<xsl:call-template name="armor-class">
							<xsl:with-param name="animal">yes</xsl:with-param>
						</xsl:call-template>
					</table>
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="70%" valign="top">
								<xsl:call-template name="animal-throws"/>
							</td>
							<td width="30%">
								<xsl:call-template name="animal-attacks"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<font face="Verdana" style="font-size:9pt">
			<xsl:variable name="init" select="sum(initiative/modifiers/modifier[@name != 'misc']/@value)"/>
			<xsl:text>Init </xsl:text>
			<xsl:if test="$init >= 0">
		+
	</xsl:if>
			<xsl:value-of select="$init"/>;
	<xsl:text> </xsl:text>
			<i>Speed </i>
			<xsl:for-each select="//speeds/speed">
				<xsl:if test="position() &gt; 1">
					<xsl:text>, </xsl:text>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="name = 'Base'">
						<xsl:value-of select="value"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="name"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="value"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="position() = last()">
					<xsl:text>; </xsl:text>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="features/special-attacks/special-attack">
				<xsl:if test="position() = 1">
					<i>Special Attacks: </i>
				</xsl:if>
				<xsl:value-of select="."/>
				<xsl:choose>
					<xsl:when test="position() = last()">
						<xsl:text>; </xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>, </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:for-each select="features/special-qualities/special-quality">
				<xsl:if test="position() = 1">
					<i>Special Qualities: </i>
				</xsl:if>
				<xsl:value-of select="."/>
				<xsl:choose>
					<xsl:when test="position() = last()">
						<xsl:text>; </xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>, </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:for-each select="languages/language">
				<xsl:if test="position() = 1">
					<i>Languages: </i>
				</xsl:if>
				<xsl:value-of select="."/>
				<xsl:choose>
					<xsl:when test="position() = last()">
						<xsl:text>; </xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>, </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:for-each select="skills/skill[modifiers/modifier[@name = 'rank' or @name = 'race' or @name = 'magic' or @name = 'feat' or @name = 'other']/@value &gt; 0]">
				<xsl:sort select="string(.)"/>
				<xsl:if test="position() = 1">
					<br/>
					<i>Skills: </i>
				</xsl:if>
				<xsl:value-of select="name"/>
				<xsl:if test="sum(modifiers/modifier[@name != 'misc']/@value) >= 0">
			+
		</xsl:if>
				<xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/>
				<xsl:choose>
					<xsl:when test="position() = last()">
						<xsl:text>. </xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>, </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:for-each select="features/feats/feat">
				<xsl:sort select="string(.)"/>
				<xsl:if test="position() = 1">
					<br/>
					<i>Feats: </i>
				</xsl:if>
				<xsl:value-of select="name"/>
				<xsl:choose>
					<xsl:when test="position() = last()">
						<br/>
						<xsl:text> </xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>, </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</font>
	</xsl:template>
	<xsl:template name="animal-throws">
		<table width="100%">
			<xsl:for-each select="saving-throws/saving-throw">
				<xsl:variable name="charbase" select="/character/saving-throws/saving-throw/modifiers/modifier[@name = 'base']/@value"/>
				<xsl:variable name="anibase" select="modifiers/modifier[@name = 'base']/@value"/>
				<xsl:variable name="anitotal" select="sum(modifiers/modifier[@name != 'misc']/@value)"/>
				<tr>
					<td align="center" bgcolor="black">
						<font face="Verdana" style="font-size:10pt" color="white">
							<b>
								<xsl:value-of select="name"/>
							</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<xsl:if test="$charbase> $anibase">
								<b>
									<xsl:value-of select="$anitotal - $anibase + $charbase"/>
								</b>
							</xsl:if>
							<xsl:if test="$anibase>= $charbase">
								<b>
									<xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/>
								</b>
							</xsl:if>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>=</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<xsl:if test="$charbase> $anibase">
								<b>
									<xsl:value-of select="$charbase"/>
								</b>
							</xsl:if>
							<xsl:if test="$anibase>= $charbase">
								<b>
									<xsl:value-of select="$anibase"/>
								</b>
							</xsl:if>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>+</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="modifiers/modifier[@name = 'ability']/@value"/>
							</b>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>+</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="modifiers/modifier[@name = 'magic']/@value"/>
							</b>
							<br/>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>+</b>
						</font>
					</td>
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size: 10pt">
							<b>
								<xsl:value-of select="modifiers/modifier[@name = 'misc']/@value"/>
							</b>
							<br/>
						</font>
					</td>
					<td align="center">
						<font face="Verdana" style="font-size: 7pt">
							<b>+</b>
						</font>
					</td>
					<td align="center" style="border: 5px solid lightgray">
						<font face="Verdana" style="font-size: 5pt">
							<br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
			<tr>
				<td align="center" width="20%">
					<font face="Verdana" style="font-size: 4pt">
				SAVING THROWS
			</font>
				</td>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
				TOTAL
			</font>
				</td>
				<td align="center"/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
				BASE<br/>SAVE
			</font>
				</td>
				<td/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
				ABILITY<br/>MODIFIER
			</font>
				</td>
				<td/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
				MAGIC<br/>MODIFIER
			</font>
				</td>
				<td/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
				MISC<br/>MODIFIER
			</font>
				</td>
				<td align="center"/>
				<td align="center" width="10%">
					<font face="Verdana" style="font-size: 4pt">
				TEMPORARY<br/>MODIFIER
			</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="animal-attacks">
		<table width="100%">
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:10pt" color="white">
						<b>MELEE</b>
					</font>
					<font face="Verdana" style="font-size:5pt" color="white">
						<br/>ATTACK BONUS
			</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="sum(attacks/melee/modifiers/modifier[@name != 'misc']/@value)"/>
						</b>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" bgcolor="black">
					<font face="Verdana" style="font-size:10pt" color="white">
						<b>RANGED</b>
					</font>
					<font face="Verdana" style="font-size:5pt" color="white">
						<br/>ATTACK BONUS
			</font>
				</td>
				<td align="center" style="border: 1px solid black">
					<font face="Verdana" style="font-size: 10pt">
						<b>
							<xsl:value-of select="sum(attacks/ranged/modifiers/modifier[@name != 'misc']/@value)"/>
						</b>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" colspan="2">
					<font face="Verdana" style="font-size: 8pt">
						<xsl:for-each select="equiped-items/weapons">
							<xsl:for-each select="weapon">
								<xsl:value-of select="bonus"/>
								<xsl:choose>
									<xsl:when test="position() = last()">
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>/</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>

		(
		<xsl:for-each select="weapon">
								<xsl:value-of select="damage"/>, <xsl:value-of select="name"/>
								<xsl:choose>
									<xsl:when test="position() = last()">
			</xsl:when>
									<xsl:otherwise>
										<xsl:text>;</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
		)<br/>
						</xsl:for-each>
					</font>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template name="animal-info">
		<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td align="center" colspan="6" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>Animal Notes:</b>
					</font>
				</td>
			</tr>
		</table>
		<font face="Verdana" style="font-size:8pt">
			<br/>
			<br/>
			<b>
				<u>FAMILIARS</u>:</b> Familiars are Magical Beasts. Familiar special abilities only apply when the master and familiar are within one mile of each other. Use the basic statistics for a creature of its type, but make these changes: 
	<br/>
			<br/>
			<b>* Hit Dice:</b> Treat as the master's character level (for effects related to Hit Dice). Use the familiar's normal total if it is higher.<br/>
			<b>* Hit Points:</b> One-half the master's total, rounded down.<br/>
			<b>* Attacks:</b> Use the master's base attack bonus. Use the familiar's Dexterity or Strength modifier, whichever is greater, to get the familiar's melee attack bonus with unarmed attacks. Damage equals that of a normal creature of that type.<br/>
			<b>* Saving Throws:</b> The familiar uses the master's base saving throw bonuses if they're better than the familiar's.<br/>
			<b>* Skills:</b> Use the normal skills for an animal of that type or the master's, whichever are better.<br/>
			<br/>
			<b>
				<u>Familiar Abilities by Master's Class Level</u>
			</b>
			<br/>
			<b>1 or 2:</b> NatArm +1, INT 6, Alertness, improved evasion, share spells, empathic link<br/>
			<b>3 or 4</b> NatArm +2, INT 7, Deliver Touch spells for master<br/>
			<b>5 or 6</b> NatArm +3, INT 8, Speak with master<br/>
			<b>7 or 8</b> NatArm +4, INT 9, Speak with animals of its type<br/>
			<b>9 or 10</b> NatArm +5, INT 10<br/>
			<b>11 or 12</b> NatArm +6, INT 11, Spell resistance (master's level + 5)<br/>
			<b>13 or 14</b> NatArm +7, INT 12, Scry on familiar 1/day<br/>
			<b>15 or 16</b> NatArm +8, INT 13<br/>
			<b>17 or 18</b> NatArm +9, INT 14<br/>
			<b>19 or 20</b> NatArm +10, INT 15<br/>
			<br/>
			<xsl:variable name="ranger" select="count(/character/classes/class/name[. = 'Ranger'])"/>
			<xsl:variable name="druid" select="count(/character/classes/class/name[. = 'Druid'])"/>
			<xsl:variable name="paladin" select="count(/character/classes/class/name[. = 'Paladin'])"/>
			<xsl:variable name="randruid" select="$ranger + $druid"/>
			<xsl:if test="$randruid !=0">
				<b>
					<u>ANIMAL COMPANIONS</u>:</b> Druids and rangers can use the <i>animal friendship</i> spell to gain animal companions. While the spell allows a character to have animals whose Hit Dice total double the character's caster level, that maximum assumes optimal conditions. The typical adventurer should be able to maintain animal companions whose Hit Dice total half the maximum caster level.  
<br/>
				<br/>
The animal is still an animal, it is not a magical beast. While it may have learned some tricks, it's still no more intelligent than any other animal of its kind, and it retains all its bestial instincts. Left to its own judgment, an animal follows a character and attacks creatures that attack her (or that attack the animal itself). To do more than that, it needs to learn tricks. An animal with an Intelligence of 2 can learn six tricks. Possible tricks include Attack, Come, Defend, Down, Fetch, Guard, Heel, Perform, Defend, Seek, Stay, and Track.<br/>
				<br/>
			</xsl:if>
			<xsl:if test="$paladin !=0">
				<b>
					<u>PALADIN'S MOUNT</u>:</b>  A paladin's mount is a magical beast, not an animal. 
<br/>
				<br/>
				<b>
					<u>Mount Special Abilities By Paladin Level</u>
				</b>
				<br/>
				<b>Lv 5 to 7:</b> HD +2, NatArm +4, STR +1, Int 6, Improved evasion, share spells, empathic link, share saving throws<br/>
				<b>Lv 8 to 10:</b> HD +4, NatArm +6, STR +2, Int 7<br/>
				<b>Lv 11 to 14:</b> HD +6, NatArm +8, STR +3, Int 8, Command creatures of its kind<br/>
				<b>Lv 15-20:</b> HD +8, NatArm +10, STR +4, Int 9, Spell resistance (paladin's level + 5)
<br/>
				<br/>
				<b>Notes on Bonus HD:</b> These are extra Hit Dice (d8), each of which gains a Constitution modifier, as normal. Remember that extra Hit Dice improve the mount's base attack and base save bonuses. 
</xsl:if>
		</font>
	</xsl:template>
</xsl:stylesheet>
