<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="no" encoding="UTF-8"/>


<xsl:template match="/treasure">
	<xsl:value-of select="notes"/>

	<xsl:if test="items/item != ''">
		<br/>
		<xsl:if test="items/item[type = 'Weapon'] != ''">
			<br/><xsl:text>Weapons: </xsl:text>
			<xsl:for-each select="items/item[type = 'Weapon']">
				<xsl:value-of select="name"/>
				<xsl:choose>
				<xsl:when test="position() = last()">
					<xsl:text>.</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>; </xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:if>

		<xsl:if test="items/item[type = 'Armor'] != ''">
			<br/><xsl:text>Armor: </xsl:text>
			<xsl:for-each select="items/item[type = 'Armor']">
				<xsl:value-of select="name"/>
				<xsl:choose>
				<xsl:when test="position() = last()">
					<xsl:text>.</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>; </xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:if>

		<xsl:if test="items/item[type = 'Shield'] != ''">
			<br/><xsl:text>Shields: </xsl:text>
			<xsl:for-each select="items/item[type = 'Shield']">
				<xsl:value-of select="name"/>
				<xsl:choose>
				<xsl:when test="position() = last()">
					<xsl:text>.</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>; </xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:if>

		<xsl:if test="items/item[type = 'Goods' or type = 'Art' or type = 'Gem'] != ''">
			<br/><xsl:text>Goods: </xsl:text>
			<xsl:for-each select="items/item[type = 'Goods' or type = 'Art' or type = 'Gem']">
				<xsl:value-of select="name"/>
				<xsl:if test="cost != 0">
					(<xsl:value-of select="cost/@value"/><xsl:text> </xsl:text><xsl:value-of select="cost/@name"/>)
				</xsl:if>
				<xsl:choose>
				<xsl:when test="position() = last()">
					<xsl:text>.</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>; </xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:if>

		<xsl:if test="items/item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous'] != ''">
			<br/><xsl:text>Magic: </xsl:text>
			<xsl:for-each select="items/item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous']">
				<xsl:value-of select="type"/>:
				<xsl:text> </xsl:text>
				<xsl:value-of select="name"/>
				<xsl:choose>
				<xsl:when test="position() = last()">
					<xsl:text>.</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>; </xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:if>
	</xsl:if>

	<xsl:if test="currency != 0">
		<br/><xsl:text>Currency: </xsl:text>
		<xsl:if test="currency/pp > 0">
			<xsl:value-of select="currency/pp"/><xsl:text> pp</xsl:text>
		</xsl:if>
		<xsl:if test="currency/gp > 0">
			<xsl:if test="currency/pp > 0">
				<xsl:text>, </xsl:text>
			</xsl:if>
			<xsl:value-of select="currency/gp"/><xsl:text> gp</xsl:text>
		</xsl:if>
		<xsl:if test="currency/sp > 0">
			<xsl:if test="currency/pp > 0 or currency/gp > 0">
				<xsl:text>, </xsl:text>
			</xsl:if>
			<xsl:value-of select="currency/sp"/><xsl:text> sp</xsl:text>
		</xsl:if>
		<xsl:if test="currency/cp > 0">
			<xsl:if test="currency/pp > 0 or currency/gp > 0 or currency/sp > 0">
				<xsl:text>, </xsl:text>
			</xsl:if>
			<xsl:value-of select="currency/cp"/><xsl:text> cp</xsl:text>
		</xsl:if>
		<xsl:text>.</xsl:text>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>


